<?php use_helper( 'UrlFunctions' ); ?>
<?php use_helper( 'UtilFunctions' ); ?>
<?php use_helper( 'IncludePartial' ); ?>

<div class="shadow-sm p-3 mb-2 bg-white rounded card card-body">
    <div class="row">
        <div class="col mb-1">
            <h4 class="text-info text-nowrap mb-0">Registro de Aprobaciones</h4>
        </div>
    </div>
</div>

<?php 
include_partial
( 
    "list", 
    array
    (
        "a_EstadosOC"           => $a_EstadosOC,
        "a_OrdenClasificacion"  => COM_OrdenItemClasificacionFN::selectActivos(),
        "a_TipoOrdenCompra"     => COM_OrdenCompraCabeceraBN::getArrayTipoOrdenCompra()
    ),
    array( "Module" => "oc" )
);
?>

<script type="text/javascript">
$( "#Estado option[value='']" ).remove();
</script>

<?php //include_partial( "grid", array( "approv"=>true ) ); ?>
<?php include_partial( "grid", array( "approv"=>true ), array( "Module" => "oc" ) ); ?>

<script>
$( document ).bind
(
    'keyup', 
    function( e ) 
    {
        if( e.which == 13 ) //ENTER
        {
            findControl();
        }
        if( e.which == 107 || e.which == 27 ) //tecla +
        {
            $( "#cotent_a_collapse" ).trigger( "click" );
        }        
    }
);
</script>